Package ru.bitel.bgbilling.modules.reports.server.bean

# Class BGBSQueryExecuterFactory

java.lang.Object
ru.bitel.bgbilling.modules.reports.server.bean.BGBSQueryExecuterFactory

All Implemented Interfaces:
  `net.sf.jasperreports.engine.query.JRQueryExecuterFactory`

    public class BGBSQueryExecuterFactory
    extends java.lang.Object
    implements net.sf.jasperreports.engine.query.JRQueryExecuterFactory

Для Jasper-отчётов.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `BGBSQueryExecuterFactory.FormatFactory` |

- ## Field Summary

  ### Fields inherited from interface net.sf.jasperreports.engine.query.JRQueryExecuterFactory

  `QUERY_EXECUTER_FACTORY_PREFIX`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `BGBSQueryExecuterFactory()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `net.sf.jasperreports.engine.query.JRQueryExecuter` | `createQueryExecuter​(net.sf.jasperreports.engine.JRDataset dataSet, java.util.Map parameters)` |
  `java.lang.Object[]` | `getBuiltinParameters()` |
  `boolean` | `supportsQueryParameterType​(java.lang.String className)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BGBSQueryExecuterFactory

    public BGBSQueryExecuterFactory()

- ## Method Details

  - ### createQueryExecuter

    public net.sf.jasperreports.engine.query.JRQueryExecuter createQueryExecuter​(net.sf.jasperreports.engine.JRDataset dataSet, java.util.Map parameters) throws net.sf.jasperreports.engine.JRException
    Specified by:
      `createQueryExecuter` in interface `net.sf.jasperreports.engine.query.JRQueryExecuterFactory`
    Throws:
      `net.sf.jasperreports.engine.JRException`

  - ### getBuiltinParameters

    public java.lang.Object[] getBuiltinParameters()
    Specified by:
      `getBuiltinParameters` in interface `net.sf.jasperreports.engine.query.JRQueryExecuterFactory`

  - ### supportsQueryParameterType

    public boolean supportsQueryParameterType​(java.lang.String className)
    Specified by:
      `supportsQueryParameterType` in interface `net.sf.jasperreports.engine.query.JRQueryExecuterFactory`